Closed Bug 1426587 Opened 5 years ago Closed 4 years ago

Categories

(Core :: Layout, defect, P5)

defect

Tracking

()

RESOLVED INCOMPLETE

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell fixed:product])

There are 31 failures in the last 7 days.
They occur on Linux and the affected builds type are debug and opt.
A recent log example: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=154566269&lineNumber=13725
Reftest analyzer: https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/fld_mwAxTLSmiOcHvKHNDw/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1
:jgraham, can you please take a look at this?
Flags: needinfo?(james)
Whiteboard: [stockwell needswork]
Emilio: No idea if you are the right person to look at this. It could just be that the reftest screenshot is being taken too early in which case feel free to punt back to me (or fix the test if appropriate).
Component: web-platform-tests → Layout
Flags: needinfo?(james) → needinfo?(emilio)
Product: Testing → Core
Version: Version 3 → unspecified
It seems like the image specified in border-image-source hasn't been loaded:

  border-image-source: url("support/outline-5px-10px-15px-20px-green.png");

It could be because of a layout bug, but given other background image tests with similar problems it may very well be the harness taking the screenshot too early. How does WPT take the screenshot? I think those resources don't block the load event.
Flags: needinfo?(emilio) → needinfo?(james)
Ah, if the resources aren't blocking the load event then this is going to be a problem with all these tests. I think the tests should be fixed to use class=reftestwait on the root and remove it once the image is loaded (or at least to pause for enough time that we think there's a good chance that the load is complete).
Flags: needinfo?(james)
Huh, nvm, apparently they do block the load event. A page such as:

<!doctype html>
<style>
:root {
  background-image: url("wait.php");
}
</style>
<script>
  let start = performance.now();
  window.onload = function() {
    alert(performance.now() - start);
  }
</script>

with wait.php being:

<?php sleep(5); ?>

Shows a 5s load event. So back to square one, not sure what's going wrong...
This seems to continue to fail.
There have been 68 failures in the last 7 days.
As mentioned before the failures occur on Linux platforms:
-Linux: 28
-linux32-stylo-disabled: 17
-Linux x64: 11
-linux64-stylo-disabled: 11
-linux64-ccov: 1

And across 3 build types:
-opt:34
-debug: 28
-pgo: 6

Here is a recent log file: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=159984809&lineNumber=7374
Reftest analyzer: https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/PGF6yayGSdSfu3d_ZJCGTQ/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1

:jgraham, I've seen that you already had a look at this. Is there somebody else that you know can help on this?
At the rate this is failing, I'm afraid we'll have to disable this soon, if there is no solution.
Flags: needinfo?(james)
Whiteboard: [stockwell unknown] → [stockwell needswork]
This may be impacted by bug 1383682. It is an image shared across multiple tests, which is a precondition fulfilled here. We were inconsistent with our image cache usage, so it would often give you the currently decoded image while validating the cache, invalidate the cache, and pull the rug out from under the test. It now defers giving any information about the image while validating for new requests (which is exactly what moving to the next test will do). This is a fairly frequent failure, but it seems to have dropped off since my patches landed, so fingers crossed :).
No more reproductions on branches with bug 1383682 landed.
Status: NEW → RESOLVED
Closed: 5 years ago
Flags: needinfo?(james)
Resolution: --- → DUPLICATE
Whiteboard: [stockwell disable-recommended]
Whiteboard: [stockwell fixed:product]
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 5 years ago5 years ago
Resolution: --- → INCOMPLETE
Recent failure log:https://treeherder.mozilla.org/logviewer.html#?job_id=185143706&repo=autoland&lineNumber=19755
[task 2018-06-27T12:31:24.481Z] 12:31:24     INFO - TEST-START | /css/css-backgrounds/border-image-slice-002.xht
[task 2018-06-27T12:31:24.489Z] 12:31:24     INFO - PID 5890 | 1530102684484	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
[task 2018-06-27T12:31:24.505Z] 12:31:24     INFO - PID 5890 | 1530102684494	Marionette	DEBUG	[4294967297] Waiting for page load of http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht
[task 2018-06-27T12:31:24.513Z] 12:31:24     INFO - PID 5890 | ++DOMWINDOW == 106 (0xe1baea00) [pid = 5986] [serial = 106] [outer = 0xf7048380]
[task 2018-06-27T12:31:24.574Z] 12:31:24     INFO - PID 5890 | 1530102684570	Marionette	DEBUG	[4294967297] flushRendering false
[task 2018-06-27T12:31:24.582Z] 12:31:24     INFO - PID 5890 | 1530102684576	Marionette	INFO	Found 7296 pixels different, maximum difference per channel 255
[task 2018-06-27T12:31:24.646Z] 12:31:24     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds/border-image-slice-002.xht | Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
[task 2018-06-27T12:31:24.646Z] 12:31:24     INFO - REFTEST   IMAGE 1 (TEST): data:image/png;base64,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
[task 2018-06-27T12:31:24.647Z] 12:31:24     INFO - REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,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
[task 2018-06-27T12:31:24.647Z] 12:31:24     INFO - TEST-INFO took 157ms
[task 2018-06-27T12:31:24.664Z] 12:31:24     INFO - PID 5890 | --DOMWINDOW == 3 (0xea996e00) [pid = 5941] [serial = 2] [outer = (nil)] [url = about:blank]
[task 2018-06-27T12:31:24.665Z] 12:31:24     INFO - PID 5890 | --DOMWINDOW == 2 (0xf7172600) [pid = 5941] [serial = 3] [outer = (nil)] [url = about:blank]
[task 2018-06-27T12:31:24.714Z] 12:31:24     INFO - PID 5890 | [Child 5986, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
[task 2018-06-27T12:31:24.714Z] 12:31:24     INFO - PID 5890 | [Child 5986, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
[task 2018-06-27T12:31:24.743Z] 12:31:24     INFO - PID 5890 | 1530102684739	Marionette	INFO	Stopped listening on port 2828
[task 2018-06-27T12:31:25.115Z] 12:31:25     INFO - PID 5890 | --DOCSHELL 0xe7c74c00 == 0 [pid = 5986] [id = {8ca46d37-bdf8-408e-997e-7c09c4225498}]
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
See Also: → 1472434
Update:
I can see 46 total failures in the last week.
The most affected platform is linux64 on the debug build type with 34 failures.

Occurrences per platform and build type:
- linux64 / debug: 34 
- linux32 / debug: 9
- windows7-32 / debug & pgo: 2
- windows10-64 / pgo: 1
- linux64-ccov / debug: 1

Here is a recent relevant log file and a snippet with the failure:
https://treeherder.mozilla.org/logviewer.html#?job_id=186507172&repo=autoland&lineNumber=19749

[task 2018-07-04T22:32:45.007Z] 22:32:45     INFO - TEST-START | /css/css-backgrounds/border-image-slice-002.xht
[task 2018-07-04T22:32:45.023Z] 22:32:45     INFO - PID 5962 | 1530743565010	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
[task 2018-07-04T22:32:45.080Z] 22:32:45     INFO - PID 5962 | 1530743565074	Marionette	DEBUG	[4294967297] Waiting for page load of http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht
[task 2018-07-04T22:32:45.080Z] 22:32:45     INFO - PID 5962 | ++DOMWINDOW == 106 (0x7f4f5fd36c00) [pid = 6064] [serial = 106] [outer = 0x7f4f68752c00]
[task 2018-07-04T22:32:45.137Z] 22:32:45     INFO - PID 5962 | 1530743565131	Marionette	DEBUG	[4294967297] flushRendering false
[task 2018-07-04T22:32:45.138Z] 22:32:45     INFO - PID 5962 | 1530743565135	Marionette	INFO	Found 7296 pixels different, maximum difference per channel 255
[task 2018-07-04T22:32:45.202Z] 22:32:45     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds/border-image-slice-002.xht | Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht

Reftest analyzer link: https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/IBoItWqJTDSH362U7vnp8g/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1
Update: there are 41 failure in the last 7 days, 32 on linux64, 8 on linux32 and 1 on linux64-ccov. 

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=188224680&repo=mozilla-central&lineNumber=19868

[task 2018-07-15T11:41:51.086Z] 11:41:51     INFO - TEST-START | /css/css-backgrounds/border-image-round-and-stretch.html
[task 2018-07-15T11:41:51.093Z] 11:41:51     INFO - PID 5871 | 1531654911088	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds/border-image-round-and-stretch.html == http://web-platform.test:8000/css/css-backgrounds/reference/border-image-round-and-stretch-ref.html
[task 2018-07-15T11:41:51.110Z] 11:41:51     INFO - PID 5871 | 1531654911099	Marionette	DEBUG	[4294967297] Waiting for page load of http://web-platform.test:8000/css/css-backgrounds/reference/border-image-round-and-stretch-ref.html
[task 2018-07-15T11:41:51.110Z] 11:41:51     INFO - PID 5871 | ++DOMWINDOW == 55 (0x7fd24ce0dc00) [pid = 5971] [serial = 105] [outer = 0x7fd27989a000]
[task 2018-07-15T11:41:51.171Z] 11:41:51     INFO - PID 5871 | 1531654911166	Marionette	DEBUG	[4294967297] flushRendering true
[task 2018-07-15T11:41:51.187Z] 11:41:51     INFO - PID 5871 | 1531654911183	Marionette	DEBUG	[4294967297] Waiting for page load of http://web-platform.test:8000/css/css-backgrounds/border-image-round-and-stretch.html
[task 2018-07-15T11:41:51.203Z] 11:41:51     INFO - PID 5871 | ++DOMWINDOW == 56 (0x7fd25188d800) [pid = 5971] [serial = 106] [outer = 0x7fd27989a000]
[task 2018-07-15T11:41:51.260Z] 11:41:51     INFO - PID 5871 | 1531654911253	Marionette	DEBUG	[4294967297] flushRendering false
[task 2018-07-15T11:41:51.267Z] 11:41:51     INFO - PID 5871 | 1531654911261	Marionette	INFO	Found 5293 pixels different, maximum difference per channel 65
[task 2018-07-15T11:41:51.296Z] 11:41:51     INFO - TEST-FAIL | /css/css-backgrounds/border-image-round-and-stretch.html | took 212ms
[task 2018-07-15T11:41:51.297Z] 11:41:51     INFO - TEST-START | /css/css-backgrounds/border-image-slice-002.xht
[task 2018-07-15T11:41:51.304Z] 11:41:51     INFO - PID 5871 | 1531654911300	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
[task 2018-07-15T11:41:51.320Z] 11:41:51     INFO - PID 5871 | 1531654911311	Marionette	DEBUG	[4294967297] Waiting for page load of http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht
[task 2018-07-15T11:41:51.336Z] 11:41:51     INFO - PID 5871 | ++DOMWINDOW == 57 (0x7fd24ce0f000) [pid = 5971] [serial = 107] [outer = 0x7fd27989a000]
[task 2018-07-15T11:41:51.397Z] 11:41:51     INFO - PID 5871 | 1531654911395	Marionette	DEBUG	[4294967297] flushRendering false
[task 2018-07-15T11:41:51.405Z] 11:41:51     INFO - PID 5871 | 1531654911401	Marionette	INFO	Found 7296 pixels different, maximum difference per channel 255
[task 2018-07-15T11:41:51.474Z] 11:41:51     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds/border-image-slice-002.xht | Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht

:emilio is there any progress on this?
Flags: needinfo?(emilio)
Whiteboard: [stockwell fixed:product] → [stockwell needswork:owner]
Yes, this is the same cause of bug 1471583. I'm trying to get a patch landed that should improve all this.
Depends on: 1471583
Flags: needinfo?(emilio)
(In reply to Emilio Cobos Álvarez (:emilio) from comment #39)
> Yes, this is the same cause of bug 1471583. I'm trying to get a patch landed
> that should improve all this.

That's great thank you.
Update: there are 69 total failures in the last 7 days, 39 on linux64 and 30 on linux32.

Based on https://bugzilla.mozilla.org/show_bug.cgi?id=1426587#c39 this is being worked on, but on a different bug.
In the last 7 days, there are 68 failures. They occur on  linux32-debug and linux64-debug, asan.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=192153853&repo=autoland&lineNumber=20146
This bug had quite a big spike recently

:svolsen: Can you please take a look at this bug?
Flags: needinfo?(svoisen)
Emilio - I take it you are still working on bug 1471583, which is related to this? So when that patch lands this spike should also die down?
Flags: needinfo?(svoisen) → needinfo?(emilio)
See Also: → 1471583
Yeah, it's likely. These bugs are likely to randomly appear depending on how they're scheduled, so if a test change (like more WPT tests coming from imports or such), moves a test around so that it runs under more system load, it's not totally surprising that it spikes.
Flags: needinfo?(emilio)
Patch in Bug 1471583 is currently waiting for review, failure rate should die down after that. 

Currently there are 53 total failures in the last 7 days.
we are still waiting on reviews, I vote for disabling this as the patch remaining for review is 19 days old.
(In reply to Joel Maher ( :jmaher ) (UTC-4) from comment #54)
> we are still waiting on reviews, I vote for disabling this as the patch
> remaining for review is 19 days old.

The review was requested yesterday though.
oh, I didn't realize that- 3 days ago it was said we were waiting on reviews, now we are waiting on new reviews from yesterday?  What is the confidence this will be fixed today?
Flags: needinfo?(emilio)
As soon as Matt Woodrow reviews that patch we'd be able to land it. I don't expect it to take long, he probably just didn't get to it today.
Flags: needinfo?(emilio)
Over the last 7 days there are 42 failures on this bug. These happen on linux32 and linux64. 
This is the most recent log example: https://treeherder.mozilla.org/logviewer.html#?job_id=196380206&repo=autoland&lineNumber=7805

[task 2018-08-29T08:06:34.399Z] 08:06:34     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds/border-image-slice-002.xht | Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-002.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
Flags: needinfo?(svoisen)
(In reply to Stefan Hindli [:stefan_hindli] from comment #60)

> Over the last 7 days there are 42 failures on this bug. These happen on
> linux32 and linux64. 
> This is the most recent log example:
> https://treeherder.mozilla.org/logviewer.
> html#?job_id=196380206&repo=autoland&lineNumber=7805

Now that the fix for bug 1471583 has landed (1 day ago), let's wait a bit to see if failure rate goes down.
Flags: needinfo?(svoisen)
Whiteboard: [stockwell disable-recommended] → [stockwell fixed:product]
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: REOPENED → RESOLVED
Closed: 5 years ago4 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.